Bug 440022 - Fix code for function Bug.update to work with upstream changes to Bug.pm and process_bug.cgi
Fix code for function Bug.update to work with upstream changes to Bug.pm and ...
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
3.2
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: Noura El hawary
:
Depends On:
Blocks: RHBZ30UpgradeTracker
  Show dependency treegraph
 
Reported: 2008-04-01 08:58 EDT by Noura El hawary
Modified: 2013-06-24 00:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-22 02:39:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
v1 patch to fix Bug.update to work with latest changes to Bugzilla/Bug.pm (7.90 KB, patch)
2008-04-16 05:01 EDT, Noura El hawary
dkl: review+
Details | Diff

  None (edit)
Description Noura El hawary 2008-04-01 08:58:41 EDT
Upstream has done modifications to Bugzilla/Bug.pm and process_bug.cgi that
makes the current WebService Bug.update() fail. Fix the function code to work
with upstream changes for milestone 3.
Comment 1 Noura El hawary 2008-04-16 05:01:40 EDT
Created attachment 302563 [details]
v1 patch to fix Bug.update to work with latest changes to Bugzilla/Bug.pm

after the latest changes bug upstream to Bugzilla/Bug.pm and process_bug.cgi ,
webservice function Bug.update was producing errors ,, attached is a patch that
get the function to work with the latest changes.

Please review when you can.

Noura
Comment 2 David Lawrence 2008-04-22 17:17:36 EDT
Comment on attachment 302563 [details]
v1 patch to fix Bug.update to work with latest changes to Bugzilla/Bug.pm

Patch looks good Noura. Also installed on bugdev and put it through some
testing and it worked as expected. Feel free to check in.
Dave
Comment 3 Noura El hawary 2008-04-22 20:01:44 EDT
Thanks for the review Dave. committed to cvs now.

Note You need to log in before you can comment on or make changes to this bug.